Package org.jfree.report.flow.flowing

# Class FlowReportProcessor

java.lang.Object
org.jfree.report.flow.AbstractReportProcessor
org.jfree.report.flow.flowing.FlowReportProcessor

All Implemented Interfaces:
  `ReportProcessor`

public class FlowReportProcessor extends AbstractReportProcessor
This is written to use LibLayout. It will never work with other report targets.

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`FlowReportProcessor()`

## Method Summary

Modifier and Type
Method
Description
`protected LibLayoutReportTarget`
`createTarget(ReportJob job)`
`org.jfree.layouting.output.OutputProcessor`
`getOutputProcessor()`
`void`
`processReport(ReportJob job)`
Bootstraps the local report processing.
`void`
`setOutputProcessor(org.jfree.layouting.output.OutputProcessor outputProcessor)`

### Methods inherited from class org.jfree.report.flow.AbstractReportProcessor

`createFlowControler, createReportContext, processReportRun`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FlowReportProcessor

public FlowReportProcessor()

## Method Details

### getOutputProcessor

public org.jfree.layouting.output.OutputProcessor getOutputProcessor()

### setOutputProcessor

public void setOutputProcessor(org.jfree.layouting.output.OutputProcessor outputProcessor)

### createTarget

protected LibLayoutReportTarget createTarget(ReportJob job)

### processReport

public void processReport(ReportJob job) throws ReportDataFactoryException, DataSourceException, ReportProcessingException
Bootstraps the local report processing. This way of executing the report must be supported by *all* report processor implementations. It should fully process the complete report.

Parameters:
  `job` -
Throws:
  `ReportDataFactoryException`
  `DataSourceException`
  `ReportProcessingException`